#include<stdio.h>
#include<stdlib.h>
#include<math.h>
main()
{
	int n,x,i,k,max,min;
	scanf("%d",&n);
	scanf("%d",&x);
	int a[n];
	for(i=0;i<n;i++)
	{
		scanf("%d",&a[i]);
	}
	max=a[0];
	for(i=1;i<n;i++)
	{
		if(a[i]>max)
		{
		max=a[i];
		}
	}
	min=a[0];
	for(i=1;i<n;i++)
	{
		if(a[i]<min)
		{
		min=a[i];
		}
	}
	if(min<x && max<x)
	{
		k=(x-min);
		printf("%d",k);	
	}
	if(min<x && max>x)
	{
		if((max-x) > (x-min))
		{
			k=(x-min)*2+max-x;
		}
		if((max-x) < (x-min))
		{
			k=(max-x)*2+x-min;
		}
		if((max-x) == (x-min))
		{
			k=(max-x)*2+x-min;
		}
		printf("%d",k);	
	}
	if(min>x && max>x)
	{
		k=(max-x);
		printf("%d",k);	
	}
}